package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 待返利      实体类
 * 2017年3月9日
 * @author muzx
 */
public class RebateRecord implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = -5962041785708591210L;
    private Integer recordId;               //id
    private String recordOrderId;           //租赁订单id
    private String recordOpenid;            //返利人openid
    private String recordRentOpenid;        //租赁人openid
    private Integer recordTypeId;           //租用方式
    
    private Integer recordMoney;            //返利金额
    private Integer recordReplaceId;        //押金提取券金额
    private Integer recordDeductionId;      //服务费抵扣券金额
    private Integer recordIdentify;         //标识
    private Integer recordStatus;           //状态
    
    private Date recordCreateTime;          //创建时间
    private Date recordUpdateTime;          //修改时间

    private String userNickName;            // 购买用户昵称
    private String rentType;                // 租赁类型名称
    private String reUserNickName;          // 租赁用户昵称
    
    public Integer getRecordId() {
        return recordId;
    }
    public void setRecordId(Integer recordId) {
        this.recordId = recordId;
    }
    public String getRecordOrderId() {
        return recordOrderId;
    }
    public void setRecordOrderId(String recordOrderId) {
        this.recordOrderId = recordOrderId;
    }
    public String getRecordOpenid() {
        return recordOpenid;
    }
    public void setRecordOpenid(String recordOpenid) {
        this.recordOpenid = recordOpenid;
    }
    public String getRecordRentOpenid() {
        return recordRentOpenid;
    }
    public void setRecordRentOpenid(String recordRentOpenid) {
        this.recordRentOpenid = recordRentOpenid;
    }
    public Integer getRecordTypeId() {
        return recordTypeId;
    }
    public void setRecordTypeId(Integer recordTypeId) {
        this.recordTypeId = recordTypeId;
    }
    public Integer getRecordMoney() {
        return recordMoney;
    }
    public void setRecordMoney(Integer recordMoney) {
        this.recordMoney = recordMoney;
    }
	public Integer getRecordReplaceId() {
		return recordReplaceId;
	}
	public void setRecordReplaceId(Integer recordReplaceId) {
		this.recordReplaceId = recordReplaceId;
	}
	public Integer getRecordDeductionId() {
		return recordDeductionId;
	}
	public void setRecordDeductionId(Integer recordDeductionId) {
		this.recordDeductionId = recordDeductionId;
	}
	public Integer getRecordIdentify() {
        return recordIdentify;
    }
    public void setRecordIdentify(Integer recordIdentify) {
        this.recordIdentify = recordIdentify;
    }
    public Integer getRecordStatus() {
        return recordStatus;
    }
    public void setRecordStatus(Integer recordStatus) {
        this.recordStatus = recordStatus;
    }
    public Date getRecordCreateTime() {
        return recordCreateTime;
    }
    public void setRecordCreateTime(Date recordCreateTime) {
        this.recordCreateTime = recordCreateTime;
    }
    public Date getRecordUpdateTime() {
        return recordUpdateTime;
    }
    public void setRecordUpdateTime(Date recordUpdateTime) {
        this.recordUpdateTime = recordUpdateTime;
    }
    public String getUserNickName() {
        return userNickName;
    }
    public String getRentType() {
        return rentType;
    }
    public void setUserNickName(String userNickName) {
        this.userNickName = userNickName;
    }
    public void setRentType(String rentType) {
        this.rentType = rentType;
    }
    public void setReUserNickName(String reUserNickName) {
        this.reUserNickName = reUserNickName;
    }
    public String getReUserNickName() {
        return reUserNickName;
    }
}
